package com.fs.qwApi.service;

import com.fs.qwApi.domain.QwWorkExternalContactListResult;
import com.fs.qwApi.domain.QwWorkExternalSendApp;
import com.fs.qwApi.domain.QwWorkLoginStatus;
import com.fs.qwApi.domain.QwWorkMsgResult;


public interface QwWorkApiService {

     QwWorkExternalContactListResult getUserList ();

    QwWorkMsgResult sendMsg (String userId, String msg);

    QwWorkMsgResult sendImageMsg (String userId, String msg);

    QwWorkMsgResult sendAppMsg (QwWorkExternalSendApp app);

    QwWorkLoginStatus loginStatus();

    QwWorkMsgResult login();

    QwWorkMsgResult LogOut();

    QwWorkMsgResult code(String code);
}
